xine-lib: xine-lib-1.2.13/src/libw32dll/dmo/DMO_VideoDecoder.h File Reference

xine-lib 1.2.13-20230125hg15249

Typedefs | Functions
DMO_VideoDecoder.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _DMO_VideoDecoder | DMO_VideoDecoder

## Functions
int | DMO_VideoDecoder_GetCapabilities (DMO_VideoDecoder *this)
DMO_VideoDecoder * | DMO_VideoDecoder_Open (const char *dllname, GUID *guid, BITMAPINFOHEADER *format, int flip, int maxauto)
void | DMO_VideoDecoder_Destroy (DMO_VideoDecoder *this)
void | DMO_VideoDecoder_StartInternal (DMO_VideoDecoder *this)
void | DMO_VideoDecoder_StopInternal (DMO_VideoDecoder *this)
int | DMO_VideoDecoder_DecodeInternal (DMO_VideoDecoder *this, const void *src, int size, int is_keyframe, char *pImage)
int | DMO_VideoDecoder_SetDestFmt (DMO_VideoDecoder *this, int bits, unsigned int csp)
int | DMO_VideoDecoder_SetDirection (DMO_VideoDecoder *this, int d)

## Typedef Documentation

## ◆ DMO_VideoDecoder

typedef struct _DMO_VideoDecoder DMO_VideoDecoder

## Function Documentation

## ◆ DMO_VideoDecoder_DecodeInternal()

int DMO_VideoDecoder_DecodeInternal | ( | DMO_VideoDecoder * | this,
|  | const void * | src,
|  | int | size,
|  | int | is_keyframe,
|  | char * | pImage )

References CMediaBufferCreate(), Debug, DMO_E_NOTACCEPTING, DMO_INPUT_DATA_BUFFERF_SYNCPOINT, DMO_PROCESS_OUTPUT_DISCARD_WHEN_NO_BUFFER, _DMO_OUTPUT_DATA_BUFFER::dwStatus, _DMO_OUTPUT_DATA_BUFFER::pBuffer, _DMO_OUTPUT_DATA_BUFFER::rtTimelength, _DMO_OUTPUT_DATA_BUFFER::rtTimestamp, and _CMediaBuffer::vt.

Referenced by w32v_decode_data().

## ◆ DMO_VideoDecoder_Destroy()

void DMO_VideoDecoder_Destroy | ( | DMO_VideoDecoder * | this | ) |

References DMO_Filter_Destroy(), DMO_VideoDecoder_StopInternal(), and STOP.

Referenced by w32v_dispose().

## ◆ DMO_VideoDecoder_GetCapabilities()

int DMO_VideoDecoder_GetCapabilities | ( | DMO_VideoDecoder * | this | ) |

## ◆ DMO_VideoDecoder_Open()

DMO_VideoDecoder * DMO_VideoDecoder_Open | ( | const char * | dllname,
|  | GUID * | guid,
|  | BITMAPINFOHEADER * | format,
|  | int | flip,
|  | int | maxauto )

References _ct::bits, _ct::cap, CAP_NONE, CAP_UYVY, CAP_YUY2, check, DIRECT, DMO_FilterCreate(), DMO_SET_TYPEF_TEST_ONLY, _ct::fcc, fccDIV3, fccDIV4, fccDIV5, fccDIV6, fccMP42, fccWMV2, FORMAT_VideoInfo, MEDIASUBTYPE_RGB24, MEDIATYPE_Video, STOP, _ct::subtype, and VIDEOINFOHEADER.

Referenced by w32v_init_ds_dmo_codec().

## ◆ DMO_VideoDecoder_SetDestFmt()

int DMO_VideoDecoder_SetDestFmt | ( | DMO_VideoDecoder * | this,
|  | int | bits,
|  | unsigned int | csp )

References abs, bits, CAP_I420, CAP_IYUV, CAP_UYVY, CAP_YUY2, CAP_YV12, CAP_YVU9, CAP_YVYU, Debug, DMO_SET_TYPEF_TEST_ONLY, fccI420, fccIYUV, fccUYVY, fccYUY2, fccYV12, fccYVU9, fccYVYU, MEDIASUBTYPE_I420, MEDIASUBTYPE_IYUV, MEDIASUBTYPE_RGB24, MEDIASUBTYPE_RGB32, MEDIASUBTYPE_RGB555, MEDIASUBTYPE_RGB565, MEDIASUBTYPE_UYVY, MEDIASUBTYPE_YUY2, MEDIASUBTYPE_YV12, MEDIASUBTYPE_YVU9, MEDIASUBTYPE_YVYU, and VIDEOINFOHEADER.

Referenced by w32v_init_ds_dmo_codec().

## ◆ DMO_VideoDecoder_SetDirection()

int DMO_VideoDecoder_SetDirection | ( | DMO_VideoDecoder * | this,
|  | int | d )

## ◆ DMO_VideoDecoder_StartInternal()

void DMO_VideoDecoder_StartInternal | ( | DMO_VideoDecoder * | this | ) |

References _AllocatorProperties::cbAlign, _AllocatorProperties::cbBuffer, _AllocatorProperties::cbPrefix, _AllocatorProperties::cBuffers, Debug, and START.

Referenced by w32v_init_ds_dmo_codec().

## ◆ DMO_VideoDecoder_StopInternal()

void DMO_VideoDecoder_StopInternal | ( | DMO_VideoDecoder * | this | ) |

Referenced by DMO_VideoDecoder_Destroy().